* Figure 2 dofile

* data in use: "icc.govt.data.dta" & "figure 2 data.dta"

* Step #1: checking hro growth variable to determine range
sum hro2_delta
* mean is 2 and SD is 25

set more off
* Step #2: brining in Model 5: social deterrence - mobilization
xtnbreg govbestosv2 icc_ratification rati_hro2_delta  hro2_delta polity ruleoflaw cw rebbest_avg_filled post_icc i.year

* Step #3: using -margins- command to generate marginal effects based on Model 6
margins, at(rati_hro2_delta=-50 icc_ratification=1 hro2_delta=-50) 
margins, at(rati_hro2_delta=-40 icc_ratification=1 hro2_delta=-40) 
margins, at(rati_hro2_delta=-30 icc_ratification=1 hro2_delta=-30) 
margins, at(rati_hro2_delta=-20 icc_ratification=1 hro2_delta=-20) 
margins, at(rati_hro2_delta=-10 icc_ratification=1 hro2_delta=-10) 
margins, at(rati_hro2_delta=2 icc_ratification=1 hro2_delta=2) 
margins, at(rati_hro2_delta=10 icc_ratification=1 hro2_delta=10) 
margins, at(rati_hro2_delta=20 icc_ratification=1 hro2_delta=20) 
margins, at(rati_hro2_delta=30 icc_ratification=1 hro2_delta=30) 
margins, at(rati_hro2_delta=40 icc_ratification=1 hro2_delta=40) 
margins, at(rati_hro2_delta=50 icc_ratification=1 hro2_delta=50) 

margins, at(rati_hro2_delta=0 icc_ratification=0 hro2_delta=-50) 
margins, at(rati_hro2_delta=0 icc_ratification=0 hro2_delta=-40) 
margins, at(rati_hro2_delta=0 icc_ratification=0 hro2_delta=-30) 
margins, at(rati_hro2_delta=0 icc_ratification=0 hro2_delta=-20) 
margins, at(rati_hro2_delta=0 icc_ratification=0 hro2_delta=-10) 
margins, at(rati_hro2_delta=0 icc_ratification=0 hro2_delta=2) 
margins, at(rati_hro2_delta=0 icc_ratification=0 hro2_delta=10) 
margins, at(rati_hro2_delta=0 icc_ratification=0 hro2_delta=20) 
margins, at(rati_hro2_delta=0 icc_ratification=0 hro2_delta=30) 
margins, at(rati_hro2_delta=0 icc_ratification=0 hro2_delta=40) 
margins, at(rati_hro2_delta=0 icc_ratification=0 hro2_delta=50) 

* Step #4: store the results (margins, upper bound (ub), lower bound (lb) for 95% confidence intervals) in a separate spreadsheet
save "figure 2 data.dta"

* Step #5: graphing figure 3
twoway (connected margin hro2_delta if ratification==1, sort msymbol(none) lwidth(thick) lpattern(solid)) ///
(connected lb hro2_delta if ratification==1, sort msymbol(none) lwidth(thin) lpattern(dash)) ///
(connected ub hro2_delta if ratification==1, sort msymbol(none) lwidth(thin) lpattern(dash)) ///
(connected margin hro2_delta if ratification==0, sort msymbol(none) lwidth(thick) lpattern(solid)) ///
(connected lb hro2_delta if ratification==0, sort msymbol(none) lwidth(thin) lpattern(dash)) ///
(connected ub hro2_delta if ratification==0, sort msymbol(none) lwidth(thin) lpattern(dash)), ///
ytitle(Marginal Effects (Average Number of Civilians Killed)) ///
xtitle(Growth in the Number of Human Rights Organizations) legend(off)

