* Figure 3 dofile

* using data: "icc.govt.data.dta" & "figure 3 data.dta"

* Step #1: looking at the range of aid variable
sum aid_nytimes
* mean 10, sd 10, min -170 max 70; do 3SD as before -20, -10, 0, 10, 20, 30, 40 

set more off
* Step #2: brining in Model 6: social deterrence - aid
xtnbreg govbestosv2 icc_ratification rati_aid_nytimes_L1 aid_nytimes_L1 polity ruleoflaw cw rebbest_avg_filled post_icc i.year, nolog

* Step #3: implementing -margins- command to get the marginal effects plot
margins, at(rati_aid_nytimes_L1=-20 icc_ratification=1 aid_nytimes_L1=-20) 
margins, at(rati_aid_nytimes_L1=-10 icc_ratification=1 aid_nytimes_L1=-10) 
margins, at(rati_aid_nytimes_L1=0 icc_ratification=1 aid_nytimes_L1=0) 
margins, at(rati_aid_nytimes_L1=10 icc_ratification=1 aid_nytimes_L1=10) 
margins, at(rati_aid_nytimes_L1=20 icc_ratification=1 aid_nytimes_L1=20) 
margins, at(rati_aid_nytimes_L1=30 icc_ratification=1 aid_nytimes_L1=30) 
margins, at(rati_aid_nytimes_L1=40 icc_ratification=1 aid_nytimes_L1=40)

margins, at(rati_aid_nytimes_L1=0 icc_ratification=0 aid_nytimes_L1=-20) 
margins, at(rati_aid_nytimes_L1=0 icc_ratification=0 aid_nytimes_L1=-10) 
margins, at(rati_aid_nytimes_L1=0 icc_ratification=0 aid_nytimes_L1=0) 
margins, at(rati_aid_nytimes_L1=0 icc_ratification=0 aid_nytimes_L1=10) 
margins, at(rati_aid_nytimes_L1=0 icc_ratification=0 aid_nytimes_L1=20) 
margins, at(rati_aid_nytimes_L1=0 icc_ratification=0 aid_nytimes_L1=30) 
margins, at(rati_aid_nytimes_L1=0 icc_ratification=0 aid_nytimes_L1=40)

* Step #4: store the results (margins, upper bound (ub), lower bound (lb) for 95% confidence intervals) in a separate spreadsheet
save "figure 3 data.dta"

* Step #5: aid interaction graph
twoway (connected margin aidpressure if ratification==1, sort msymbol(none) lwidth(thick) lpattern(solid)) ///
(connected lb aidpressure if ratification==1, sort msymbol(none) lwidth(thin) lpattern(dash)) ///
(connected ub aidpressure if ratification==1, sort msymbol(none) lwidth(thin) lpattern(dash)) ///
(connected margin aidpressure if ratification==0, sort msymbol(none) lwidth(thick) lpattern(solid)) ///
(connected lb aidpressure if ratification==0, sort msymbol(none) lwidth(thin) lpattern(dash)) ///
(connected ub aidpressure if ratification==0, sort msymbol(none) lwidth(thin) lpattern(dash)), ///
ytitle(Marginal Effects (Average Number of Civilians Killed)) ///
xtitle(Aid Pressure: ln(Econ Aid per capita) * ln(NYTimes Coverage)) legend(off)
